import requests, json

def weather_api(city_name: str) -> dict:

    with open("configuration_file.json", "r", encoding="utf-8") as file:
        json_file = json.load(file)

    content = {}

    # joint a url
    weather_complete_url = json_file["url"][0]["weather_url"] + "appid=" + \
                           json_file["key"][0]["weather_api_key"] + "&q=" + \
                           city_name

    response = requests.get(weather_complete_url)
    x = response.json()
    if x["cod"] != "404":
        y = x['main']
        content["current_temperature"] = y["temp"]
        content["current_pressure"] = y["pressure"]
        content["current_humidity"] = y["humidity"]
        z = x["weather"]
        content["weather_description"] = z[0]["description"]
    print(content) #{'current_temperature': 280.48, 'current_pressure': 1005, 'current_humidity': 81, 'weather_description': 'moderate rain'}
    return content

def news_api():

    pass
# base_url = "http://api.openweathermap.org/data/2.5/weather?"
# api_key = "bcb5052abc7ff94e26551cd1ec5b90f9"
# city_name = input("Enter city name : ")
# complete_url = base_url + "appid=" + api_key + "&q=" + city_name
#
#
# print(requests.get(complete_url).json())
# response = requests.get(complete_url)
# x = response.json()
# if x["cod"] != "404":
#     y = x["main"]
#     current_temperature = y["temp"]
#     current_pressure = y["pressure"]
#     current_humidiy = y["humidity"]
#     z = x["weather"]
#     weather_description = z[0]["description"]
#     # print following values
#     print(" Temperature (in kelvin unit) = " + str(current_temperature)
#           +"\n atmospheric pressure (in hPa unit) = " +str(current_pressure)
#           +"\n humidity (in percentage) = " + str(current_humidiy)
#           +"\n description = " + str(weather_description))
#
# print("*"*100)
# url = ('https://newsapi.org/v2/top-headlines?'
#        'country=us&'
#        'apiKey=98f451af016f43f3bdd40ec61253e328')
# response = requests.get(url)
# print(response.json())
if __name__ == '__main__':
    weather_api("exeter")
